Categories:
  - RF
  - USB HID
  - Utilities
  - WiFi
License: MIT
WebSite: https://flipperzero.one/
SourceCode: https://github.com/flipperdevices/Flipper-Android-App
IssueTracker: https://github.com/flipperdevices/Flipper-Android-App/issues
Changelog: https://github.com/flipperdevices/Flipper-Android-App/blob/dev/CHANGELOG.md

AutoName: Flipper

RepoType: git
Repo: https://github.com/flipperdevices/Flipper-Android-App.git

Builds:
  - versionName: 1.3.0
    versionCode: 667
    commit: aa2aaadb2873e34e779d5b3839e4d5fba4188609
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.3.0
    versionCode: 671
    commit: 0bd6f813d9e0f8f0837764c32bb4f7553fd11b58
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.3.0
    versionCode: 677
    commit: 2cf82d3e3ae2f59d85f5aa6bace5ea546ba5814d
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.3.0
    versionCode: 679
    commit: d711375e3c79059f81badad4eb7ec8fc59d8c9fd
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.3.0
    versionCode: 681
    commit: 2e9f15cc1281c7365d913342766abdd0b45cbd68
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.3.0
    versionCode: 689
    commit: 7503d96d6c107ef0c54bcc7aee3e38b40f44b53c
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.3.0
    versionCode: 691
    commit: 2550391a266a7e57cab1be5e1505c8af3fcd7384
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.3.0
    versionCode: 695
    commit: c3d63cd34656b46fa6f7221d75a5a2eadad8136b
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.4.0
    versionCode: 724
    commit: 841aae5c17feb2aaba4fb8daea53fbf268368b0d
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sed -i -e '/glitchless.ru/d' ../../{build-logic,.}/settings.gradle.kts
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.4.0
    versionCode: 729
    commit: c00f0821b19a2e25764a4fcd977e2d15293a48dc
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sed -i -e '/glitchless.ru/d' ../../{build-logic,.}/settings.gradle.kts
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.4.0
    versionCode: 739
    commit: 3c86830e00b09bececfc88d355a87ba495dec6a0
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sed -i -e '/glitchless.ru/d' ../../{build-logic,.}/settings.gradle.kts
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.4.0
    versionCode: 747
    commit: 8088760a095aac3cfe86207a5886c9def8afda80
    subdir: instances/app
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/ApkConfig.VERSION_CODE/$$VERCODE$$/' -e 's/ApkConfig.VERSION_NAME/"$$VERSION$$"/'
        ../../build-logic/plugins/convention/src/main/kotlin/commonAndroid.kt
      - sed -i -e '/glitchless.ru/d' ../../{build-logic,.}/settings.gradle.kts
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - IS_GOOGLE_FEATURE_AVAILABLE=false
    antifeatures:
      - Tracking

  - versionName: 1.5.0
    versionCode: 998
    commit: 9438ad1af3d5f537f07110e0e02ecd4e31bf4d31
    subdir: instances/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - printf "\nversion_code=$$VERCODE$$\nversion_name=$$VERSION$$" >> ../../gradle.properties
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - is_google_feature=false
      - is_sentry_publish=false
      - is_metric_enabled=false

  - versionName: 1.5.1
    versionCode: 1012
    commit: b1b486f9e0f3fb97181f5b499aefdb6a48bbc930
    subdir: instances/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - printf "\nversion_code=$$VERCODE$$\nversion_name=$$VERSION$$" >> ../../gradle.properties
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - is_google_feature=false
      - is_sentry_publish=false
      - is_metric_enabled=false

  - versionName: 1.6.0
    versionCode: 1086
    commit: ed8c361b11eb365151989a8e859d2d76866f10d3
    subdir: instances/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - printf "\nversion_code=$$VERCODE$$\nversion_name=$$VERSION$$" >> ../../gradle.properties
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - is_google_feature=false
      - is_sentry_publish=false
      - is_metric_enabled=false

  - versionName: 1.6.1
    versionCode: 1110
    commit: 18e55174edcd1f32cfb9df15d609f4f285bb436c
    subdir: instances/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - printf "\nversion_code=$$VERCODE$$\nversion_name=$$VERSION$$" >> ../../gradle.properties
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - is_google_feature=false
      - is_sentry_publish=false
      - is_metric_enabled=false

  - versionName: 1.6.2
    versionCode: 1135
    commit: 0184da25ef7f8032a750a2a4045b178d49b9145e
    subdir: instances/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - printf "\nversion_code=$$VERCODE$$\nversion_name=$$VERSION$$" >> ../../gradle.properties
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - is_google_feature=false
      - is_sentry_publish=false
      - is_metric_enabled=false

  - versionName: 1.6.2
    versionCode: 1142
    commit: d21e750c2cbdd5ce5c63787c446fae1265fdaeeb
    subdir: instances/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - printf "\nversion_code=$$VERCODE$$\nversion_name=$$VERSION$$" >> ../../gradle.properties
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - is_google_feature=false
      - is_sentry_publish=false
      - is_metric_enabled=false

  - versionName: 1.6.3
    versionCode: 1150
    commit: ff1e6edf4badaaf1067bcae07f393082b15bc037
    subdir: instances/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - printf "\nversion_code=$$VERCODE$$\nversion_name=$$VERSION$$" >> ../../gradle.properties
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - is_google_feature=false
      - is_sentry_publish=false
      - is_metric_enabled=false

  - versionName: 1.6.4
    versionCode: 1211
    commit: 1a4a9fcdbeafeba158e8f9e75f83f6619f2fe368
    subdir: instances/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - printf "\nversion_code=$$VERCODE$$\nversion_name=$$VERSION$$" >> ../../gradle.properties
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - is_google_feature=false
      - is_sentry_publish=false
      - is_metric_enabled=false

  - versionName: 1.6.5
    versionCode: 1270
    commit: e5bb0d826832c172adfd0388530b3beb07364554
    subdir: instances/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - printf "\nversion_code=$$VERCODE$$\nversion_name=$$VERSION$$" >> ../../gradle.properties
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - is_google_feature=false
      - is_sentry_publish=false
      - is_metric_enabled=false

  - versionName: 1.6.6
    versionCode: 1294
    commit: 3c6eb77bd8829dc8479a16abc6ce69214fefa75d
    subdir: instances/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - printf "\nversion_code=$$VERCODE$$\nversion_name=$$VERSION$$" >> ../../gradle.properties
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: r25b
    gradleprops:
      - is_google_feature=false
      - is_sentry_publish=false
      - is_metric_enabled=false

  - versionName: 1.6.7
    versionCode: 1326
    commit: a6d54528101a9de2f101ed377bb1174beaf5b644
    subdir: instances/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - printf "\nversion_code=$$VERCODE$$\nversion_name=$$VERSION$$" >> ../../gradle.properties
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: 26.1.10909125
    gradleprops:
      - is_google_feature=false
      - is_sentry_publish=false
      - is_metric_enabled=false

  - versionName: 1.6.8
    versionCode: 1419
    commit: 86800b2da43a140d66be27d544f70b9225313b12
    subdir: instances/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - printf "\nversion_code=$$VERCODE$$\nversion_name=$$VERSION$$" >> ../../gradle.properties
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: 26.1.10909125
    gradleprops:
      - is_google_feature=false
      - is_sentry_publish=false
      - is_metric_enabled=false

  - versionName: 1.6.9
    versionCode: 1598
    commit: d21431188cd7beacfecc7929aa5b44d4e03d3fa9
    subdir: instances/android/app
    submodules: true
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/version_code", Integer.MAX_VALUE/version_code", $$VERCODE$$/'
        -e 's/version_name", DEBUG_VERSION/version_name", "$$VERSION$$"/'  ../../../build-logic/plugins/convention/src/main/kotlin/com/flipperdevices/buildlogic/ApkConfig.kt
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: 26.1.10909125
    gradleprops:
      - is_google_feature=false
      - is_sentry_publish=false
      - is_metric_enabled=false

  - versionName: 1.7.1
    versionCode: 1620
    commit: 89732862f8f730fdab7f15d658d2f049c71fd45c
    subdir: instances/android/app
    submodules: true
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/version_code", Integer.MAX_VALUE/version_code", $$VERCODE$$/'
        -e 's/version_name", DEBUG_VERSION/version_name", "$$VERSION$$"/'  ../../../build-logic/plugins/convention/src/main/kotlin/com/flipperdevices/buildlogic/ApkConfig.kt
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: 26.1.10909125
    gradleprops:
      - is_google_feature=false
      - is_sentry_publish=false
      - is_metric_enabled=false

  - versionName: 1.8.0
    versionCode: 1828
    commit: c879b21c6723f1482e3c93de8650e1547aa5481a
    subdir: instances/android/app
    submodules: true
    gradle:
      - yes
    rm:
      - components/notification/impl
      - components/selfupdater/googleplay
      - components/wearable/emulate
      - components/wearable/sync/handheld/impl
      - components/wearable/sync/wear
      - instances/wearable
    prebuild:
      - sed -i -e 's/version_code", Integer.MAX_VALUE/version_code", $$VERCODE$$/'
        -e 's/version_name", DEBUG_VERSION/version_name", "$$VERSION$$"/'  ../../../build-logic/plugins/convention/src/main/kotlin/com/flipperdevices/buildlogic/ApkConfig.kt
      - sed -i -e '/libs.wear.gms/d' ../../../components/wearable/sync/common/build.gradle.kts
        build.gradle.kts
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: 26.1.10909125
    gradleprops:
      - is_google_feature=false
      - is_sentry_publish=false
      - is_metric_enabled=false

  - versionName: 1.8.1
    versionCode: 1846
    commit: 7af93e0d7df1c3fbd14a4d26db9411d81b2b521c
    subdir: instances/android/app
    submodules: true
    gradle:
      - yes
    rm:
      - components/notification/impl
      - components/selfupdater/googleplay
      - components/wearable/emulate
      - components/wearable/sync/handheld/impl
      - components/wearable/sync/wear
      - instances/wearable
    prebuild:
      - sed -i -e 's/version_code", Integer.MAX_VALUE/version_code", $$VERCODE$$/'
        -e 's/version_name", DEBUG_VERSION/version_name", "$$VERSION$$"/'  ../../../build-logic/plugins/convention/src/main/kotlin/com/flipperdevices/buildlogic/ApkConfig.kt
      - sed -i -e '/libs.wear.gms/d' ../../../components/wearable/sync/common/build.gradle.kts
        build.gradle.kts
      - sdkmanager 'cmake;3.22.1'
    scandelete:
      - build-logic/plugins/convention/build
    ndk: 26.1.10909125
    gradleprops:
      - is_google_feature=false
      - is_sentry_publish=false
      - is_metric_enabled=false

AutoUpdateMode: Version
UpdateCheckMode: Tags (\d+\.){3}\d+-release
UpdateCheckData: '|[\d.]+\.(\d+)-release||([\d.]+)\.\d+-release'
CurrentVersion: 1.8.1
CurrentVersionCode: 1846
